pcl::RegistrationVisualizer< PointSource, PointTarget > Class Template Reference
Module visualization

RegistrationVisualizer represents the base class for rendering the intermediate positions occupied by the source point cloud during it's registration to the target point cloud. More...

`#include <pcl/visualization/registration_visualizer.h>`

## Public Member Functions

| RegistrationVisualizer ()
| Empty constructor. More...
bool | setRegistration (pcl::Registration< PointSource, PointTarget > &registration)
| Set the registration algorithm whose intermediate steps will be rendered. More...
void | startDisplay ()
| Start the viewer thread. More...
void | stopDisplay ()
| Stop the viewer thread. More...
void | updateIntermediateCloud (const pcl::PointCloud< PointSource > &cloud_src, const std::vector< int > &indices_src, const pcl::PointCloud< PointTarget > &cloud_tgt, const std::vector< int > &indices_tgt)
| Updates visualizer local buffers cloud_intermediate, cloud_intermediate_indices, cloud_target_indices with the newest registration intermediate results. More...
void | setMaximumDisplayedCorrespondences (const int maximum_displayed_correspondences)
| Set maximum number of correspondence lines which will be rendered. More...
std::size_t | getMaximumDisplayedCorrespondences ()
| Return maximum number of correspondence lines which are rendered. More...

## Detailed Description

### template<typename PointSource, typename PointTarget>
class pcl::RegistrationVisualizer< PointSource, PointTarget >

RegistrationVisualizer represents the base class for rendering the intermediate positions occupied by the source point cloud during it's registration to the target point cloud.

A registration algorithm is considered as input and it's convergence is rendered.

Author
  Gheorghe Lisca

Definition at line 57 of file registration_visualizer.h.

## Constructor & Destructor Documentation

## RegistrationVisualizer()

template<typename PointSource , typename PointTarget >

pcl::RegistrationVisualizer< PointSource, PointTarget >::RegistrationVisualizer | ( |  | ) |

inline

Empty constructor.

Definition at line 62 of file registration_visualizer.h.

## Member Function Documentation

## getMaximumDisplayedCorrespondences()

template<typename PointSource , typename PointTarget >

std::size_t pcl::RegistrationVisualizer< PointSource, PointTarget >::getMaximumDisplayedCorrespondences | ( |  | ) |

inline

Return maximum number of correspondence lines which are rendered.

Definition at line 146 of file registration_visualizer.h.

## setMaximumDisplayedCorrespondences()

template<typename PointSource , typename PointTarget >

void pcl::RegistrationVisualizer< PointSource, PointTarget >::setMaximumDisplayedCorrespondences | ( | const int | maximum_displayed_correspondences | ) |

inline

Set maximum number of correspondence lines which will be rendered.

Definition at line 129 of file registration_visualizer.h.

## setRegistration()

template<typename PointSource , typename PointTarget >

bool pcl::RegistrationVisualizer< PointSource, PointTarget >::setRegistration | ( | pcl::Registration< PointSource, PointTarget > & | registration | ) |

inline

Set the registration algorithm whose intermediate steps will be rendered.

The method creates the local callback function pcl::RegistrationVisualizer::update_visualizer_ and binds it to the local buffers update function pcl::RegistrationVisualizer::updateIntermediateCloud(). The local callback function pcl::RegistrationVisualizer::update_visualizer_ is then linked to the pcl::Registration::update_visualizer_ callback function.

Parameters

  registration | represents the registration method whose intermediate steps will be rendered.

Definition at line 79 of file registration_visualizer.h.

References pcl::Registration< PointSource, PointTarget, Scalar >::getClassName(), pcl::Registration< PointSource, PointTarget, Scalar >::registerVisualizationCallback(), and pcl::RegistrationVisualizer< PointSource, PointTarget >::updateIntermediateCloud().

## startDisplay()

template<typename PointSource , typename PointTarget >

void pcl::RegistrationVisualizer< PointSource, PointTarget >::startDisplay | ( |  | ) |

Start the viewer thread.

Definition at line 43 of file registration_visualizer.hpp.

## stopDisplay()

template<typename PointSource , typename PointTarget >

void pcl::RegistrationVisualizer< PointSource, PointTarget >::stopDisplay | ( |  | ) |

Stop the viewer thread.

Definition at line 51 of file registration_visualizer.hpp.

## updateIntermediateCloud()

template<typename PointSource , typename PointTarget >

void pcl::RegistrationVisualizer< PointSource, PointTarget >::updateIntermediateCloud | ( | const pcl::PointCloud< PointSource > & | cloud_src,
|  | const std::vector< int > & | indices_src,
|  | const pcl::PointCloud< PointTarget > & | cloud_tgt,
|  | const std::vector< int > & | indices_tgt
| ) |  |

Updates visualizer local buffers cloud_intermediate, cloud_intermediate_indices, cloud_target_indices with the newest registration intermediate results.

Parameters

  cloud_src | represents the initial source point cloud
  indices_src | represents the indices of the intermediate source points used for the estimation of rigid transformation
  cloud_tgt | represents the target point cloud
  indices_tgt | represents the indices of the target points used for the estimation of rigid transformation

Definition at line 184 of file registration_visualizer.hpp.

Referenced by pcl::RegistrationVisualizer< PointSource, PointTarget >::setRegistration().

The documentation for this class was generated from the following files:

- pcl/visualization/registration_visualizer.h
- pcl/visualization/impl/registration_visualizer.hpp